︠ef5e62c2-4905-4489-a2e4-c71a4ce573d6︠
def image_sequence( seq, iterations, label):
    p=Graphics()
    v=[]
    for j in range(1, iterations+1):
        list_of_points= [(seq(n), 0) for n in range(1,j)]
        p = point(  list_of_points ,size=30,color='red')+text(label, (0.5, 0.5), vertical_alignment="top")
        p.set_axes_range(-0.1, 1.1, -1, 1)    
        v.append(p)
    anim = Graphics()
    anim = animate( v, xmin=-0.1, xmax=1.1 )
    return anim


def a(n):
    return (n*0.4).frac() 

pic_a=image_sequence( a, 10, "(0.4 times n) mod 1 for n=1..10")
pic_a.show(delay=70)
︡9fce8ca7-1a0b-44ce-812a-c93fe8e42248︡︡
︠d753def8-3351-478c-aa27-1e2f9c7e4345︠
def b(n):
    return (n*sqrt(2.0)).frac()
  
pic_b=image_sequence( b, 100, "(sqrt(2) times n) mod 1 for n=1..100")
pic_b.show()
︡8695d8eb-9932-4f97-9a1f-b923c255640d︡︡
︠5247663c-fabf-4ff1-8114-1c6d8ab5142c︠
q=(1+sqrt(5.0))/2

def c(n):
    return (q^n).frac()
  
pic_c=image_sequence( c, 50, "(1 +sqrt(5))/2 to power n) mod 1 for n=1..50")
pic_c.show()
︡45edce14-1ba2-4015-b2b8-99f0536994ae︡︡
